# generated by cabal-rpm-0.11.1
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name snap-server
%global pkgver %{pkg_name}-%{version}

%global iostreamshaproxy io-streams-haproxy-1.0.0.1
%global subpkgs %{iostreamshaproxy}

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        1.0.1.1
# can only be reset when all subpkgs bumped
Release:        3%{?dist}
Summary:        A web server for the Snap Framework

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{iostreamshaproxy}/%{iostreamshaproxy}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
# Begin cabal-rpm deps:
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-clock-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-io-streams-devel
#BuildRequires:  ghc-io-streams-haproxy-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-snap-core-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unix-compat-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-vector-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-base16-bytestring-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-http-common-devel
BuildRequires:  ghc-http-streams-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-parallel-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
BuildRequires:  ghc-test-framework-quickcheck2-devel
BuildRequires:  ghc-threads-devel
BuildRequires:  ghc-transformers-devel
%endif
# End cabal-rpm deps

%description
Snap is a simple and fast web development framework and server written in
Haskell. For more information, you can visit the Snap project website at
<http://snapframework.com/>.

The Snap HTTP server is a high performance web server library written in
Haskell. Together with the 'snap-core' library upon which it depends, it
provides a clean and efficient Haskell programming interface to the HTTP
protocol.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage %{iostreamshaproxy}
%endif

%global version %{main_version}


%prep
%setup -q -n %{pkgver} -a1
#cabal-tweak-dep-ver attoparsec '< 0.13' '< 0.14'
cabal-tweak-drop-dep bytestring-builder


%build
%ghc_libs_build %{subpkgs}
%ghc_lib_build


%install
%ghc_libs_install %{subpkgs}
%ghc_lib_install
%ghc_fix_rpath %{subpkgs}


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc CONTRIBUTORS README.SNAP.md README.md


%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 27 2017 Jens Petersen <petersen@redhat.com> - 1.0.1.1-1
- update to 1.0.1.1
- subpackage io-streams-haproxy

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jun 26 2016 Jens Petersen <petersen@redhat.com> - 0.9.5.1-1
- update to 0.9.5.1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 20 2015 Jens Petersen <petersen@redhat.com> - 0.9.4.6-1
- update to 0.9.4.6

* Mon Sep 01 2014 Jens Petersen <petersen@redhat.com> - 0.9.4.5-1
- update to 0.9.4.5

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jun 10 2014 Jens Petersen <petersen@redhat.com> - 0.9.3.4-3
- update to cblrpm-0.8.11

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 16 2013 Jens Petersen <petersen@redhat.com> - 0.9.3.4-1
- 0.9.3.4
- add static provides to devel

* Thu Jun 27 2013 Jens Petersen <petersen@redhat.com> - 0.9.3.3-1
- minor description tweaks and add CONTRIBUTORS

* Thu Jun 27 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.9.3.3-0
- spec file generated by cabal-rpm-0.8.2
